package GTDialogs;

#
# Provide some functions for selecting shares, markets, ...
# TODO: finish it :)
#

use strict;
use vars qw(@ISA @EXPORT);

use Tk;
use Tk::DialogBox;
use Exporter;

use Market;
use Language;
use Conf;

@ISA = qw(Exporter);
@EXPORT = qw(Select_market Select_share Select_share_by_market
	     Input_text);

#
# Select a market from a list
# Return the market id
#
sub Select_market {
  my $top = shift;  ## TopLevel window
  my $title = shift || gettext("Market selection");
  my $text = shift || gettext("Please select a market") . '.'; 
  my @markets = Market::market_list();
  
  my $d = $top->DialogBox(-title => $title, -buttons => 
                          [gettext("OK"), gettext("Cancel")]);
  $d->add('Label', -text => $text)->pack;
  my $l = $d->add(qw/Listbox -height 10 -width 35/);
  $l->pack(qw/-expand yes -fill x/);
  my ($m, @l);
  foreach (@markets) {
    $m = Market->open_market($_);
    push (@l, $m->name() . ' [' . $m->id() . ']');
  }
  $l->insert('end', sort @l);
  if ($d->Show eq gettext('OK')) {
    return ($l->get('active') =~ /\[([^\]]*)\]$/)[0];
  }
  return undef;
}

#
# Select a share from a global list of available shares
# Returns the share id
#
sub Select_share {
  my $top = shift;  ## TopLevel window
  my $title = shift || gettext("Share & securities selection");
  my $text = shift || gettext("Please select a share or a security") . '.';
  my %hash;
  { 
    my $func = $Conf{'db_access'} . '::get_index';
    eval "use $Conf{'db_access'}";
    print STDERR "Eval failed : $!\n" if ($@);
    no strict 'refs';
    &$func(\%hash, split(/,/, $Conf{'db_access_options'}));
  }
  my $d = $top->DialogBox(-title => $title, -buttons => 
                          [gettext("OK"), gettext("Cancel")]);
  $d->add('Label', -text => $text)->pack;
  my $l = $d->add(qw/Listbox -height 10 -width 35/);
  $l->pack(qw/-expand yes -fill x/);
  my (@l,$id,$name);
  while (($id,$name) = each %hash) { push(@l, "$name [$id]") };
  $l->insert('end', sort @l);
  if ($d->Show eq gettext("OK")) {
    return ($l->get('active') =~ /\[([^\]]*)\]$/)[0];
  }
  return undef;
}

sub Select_share_by_market {

}

sub Input_text {

}

1;

__END__

=head1 GTDialogs.pm

This module provides differents functions with simple dialogs interface
for selecting shares, securities, markets, etc.

=cut
