package GTMainWindow;

#
# Main window
# Here are all the menus that start everything
#

use Tk;
use Tk::widgets qw(Menubutton Button Label);
use Language;
use GTDialogs;
use GTViewWindow;
use Conf;

#
# Main window creation and drawing
# 
sub draw {
 $main = new MainWindow;

 $mf = $main->Frame(-relief => 'raised', -borderwidth => 2);
 $mf->pack(-side => 'top', -expand => 1, -fill => 'x');

 # File menu
 $mf->Menubutton(-text => gettext("File"), -underline => 0, -menuitems =>
      [
       [Button => gettext("Quit"), -command => \&quit]
      ])->pack(-side => 'left');
 # Options menu
 $mf->Menubutton(-text => gettext("Options"), -underline => 0, -menuitems =>
      [
       [Button => gettext("Reload configuration"), -command => \&Conf::load],
       [Separator => ''],
       [Button => gettext("Preferences") . '...']
      ])->pack(-side => 'left');
 # Market menu
 $mf->Menubutton(-text => gettext("Market"), -underline => 0, -menuitems =>
      [
       [Button => gettext("New") . '...'],
       [Button => gettext("Delete") . '...'], 
       [Button => gettext("Edit") . '...']
      ])->pack(-side => 'left');
 # Securities and shares menu
 $mf->Menubutton(-text => gettext("Securities & shares"), 
                 -underline => 0, -menuitems =>
      [
       [Button => gettext("Viewing") . '...',
        -command => \&share_view],
       [Separator => ''],
       [Button => gettext("Portfolio") . '...']
      ])->pack(-side => 'left');
 # Help menu
 $mf->Menubutton(-text => gettext("Help"), -underline => 0, -menuitems =>
      [
       [Button => gettext("About") . '...']
      ])->pack(-side => 'right');

 # Draw the pixmap logo
 $canvas = $main->Canvas()->pack(-side => 'top', -expand => 1, -fill => 'x');
 $canvas->Label(-image => $main->Pixmap(-file => $Conf{'logo'}),
		-relief => 'sunken', -borderwidth => 1)->pack;

 MainLoop;
}

#
# End :-)
#
sub quit {
 exit 0;
}

#
# Launch a "viewing" window (GTViewWindow) after selecting a share
#
sub share_view {
 my $id = GTDialogs::Select_share($main);
 if ($id) {
   GTViewWindow->new($main, $id);
 }
}

1;

__END__

=head1

This module is for the graphic interface of Geniustrader. It contains
the code for the main window (with the menus and the picture).

=cut
