package GTUtils;

#
# Junk module for little (un)useful functions
# - managing dates (obsolete)
# - getting the list of available shares (should not be
#   here ... but it is !)
#

use strict;
use vars qw(@ISA @EXPORT @EXPORT_OK %EXPORT_TAGS %list);

use Time::Local qw(timelocal timegm);
use Exporter;
use Conf;

@ISA = qw(Exporter);
@EXPORT = qw();
@EXPORT_OK = qw(update_list %list day_before day_after date_in_week
                time_in_week time_of_date date_of_time day_before_in_week
		day_after_in_week greater_date);
%EXPORT_TAGS = ('date' => [ qw(day_before day_after date_in_week 
			       time_in_week time_of_date
                               date_of_time day_before_in_week 
			       day_after_in_week greater_date) ],
                'list' => [ qw(update_list) ]
		);

#
# Update the list of available share with the help of 
# a DB::* module (specified in $Conf{'db_access'})
#
sub update_list {

  eval "use $Conf{'db_access'}";
  no strict 'refs';
  my $func = $Conf{'db_access'} . '::get_index';
  &$func(\%list, split(/,/, $Conf{'db_access_options'}));

}

#
# Input : a date string eg "19981231"
# Output : a date string of the day before eg "19981230"
#
sub day_before {
  my $date = shift;
  my $time = time_of_date($date) - 86400;
  return date_of_time($time);
}

#
# Same as day_before but the for the day after
#
sub day_after {
  my $date = shift;
  my $time = time_of_date($date) + 86400;
  return date_of_time($time);
}

#
# Is the date "YYYYMMDD" in the week or not ?
#
sub date_in_week {
  my $date = shift;
  my $day = (localtime(time_of_date($date)))[6];
  return 1 if ($day > 0 and $day < 6);
  return 0;
}

#
# Is the time (first argument) in the week ?
#
sub time_in_week {
  my $day = (localtime(shift))[6];
  return 1 if ($day > 0 and $day < 6);
  return 0;
}

#
# Converts a time (first arg) into a date "YYYYMMDD" (return value)
#
sub time_of_date {
  my $date = shift;
  return timelocal(0,0,12,substr($date,6,2),substr($date,4,2)-1,
                   substr($date,0,4));
}

#
# Converts a date YYYYMMDD (first arg) into a time (return value)
#
sub date_of_time {
  my($day,$mon,$year) = (localtime(shift))[3,4,5];
  $mon++; $year += 1900;
  $mon = "0" . $mon if (length($mon) == 1);
  $day = "0" . $day if (length($day) == 1);
  return "$year$mon$day";
}

#
# The day before a date YYYYMMAA (first arg) that is in the week
#
sub day_before_in_week {
  my $date = shift;
  my $time = time_of_date($date) - 86400;
  while (! time_in_week($time)) { $time -= 86400 }
  return date_of_time($time);
}

#
# The day after ...
#
sub day_after_in_week {
  my $date = shift;
  my $time = time_of_date($date) + 86400;
  while (! time_in_week($time)) { $time += 86400 }
  return date_of_time($time);
}

#
# Is the first date YYYYMMDD (first arg) greater than the second (2nd arg) ?
#
sub greater_date {
  my $time1 = time_of_date(shift);
  my $time2 = time_of_date(shift || time);
  return $time1 <=> $time2;
}

1;
