package Indicators::COURS;

use strict;
use Language;
use vars qw($code $code2);

$code = q# 
return [ @{$data{$date[$ind]}}[0..3] ];
#;
$code2 = q# 
return $data{$date[$ind]}[3];
#;

#%description = ( 'en' => 'Japanese Candlesticks',
#                 'fr' => 'Chandeliers Japonais' );
#%explication = ( 'en' => 'Candlesticks charts display the open, high, low ' .
#                         'and closing prices. The central section is ' .
#                         'filled in if the close is lower then the open; ' .
#                         'otherwise, it is left empty. Each candlestick ' .
#                         'represtents one period (e.g. a day) of data.',
#                 'fr' => 'Les chandeliers japonais reprsentent le cours ' .
#	                 'd\'ouverture, le plus haut, le plus bas et le ' .
#                         'cours de cloture. La section centrale est ' .
#                         'remplie si le cours de cloture est plus bas que ' .
#                         'que le cours d\'ouverture; autrement elle est ' .
#                         'vide. Chaque chandelier reprsente une priode ' .
#                         '(ex : un jour) de donnes.' );

Indicators::register_indic(
  'COURS',
  'code' => \$code,
  'description' => gettext("Japanese Candlesticks"),
  'explication' =>
gettext("Candlesticks charts display the open, high, low and closing prices. The central section is filled in if the close is lower than the open; otherwise it is left empty. Each candlestick represents one period (e.g. a day) of data") . ".",
  'representation' => 'chandelier_1_standard',
  'range' => [0, 0],
  'color' => 'yellow',
  'param' => [    ],
  'visible' => 1,
  'nocache' => 1,
  'order'   => -1
			  );

#%description = ( 'en' => 'Line chart',
#                 'fr' => 'Courbe' );
#%explication = ( 'en' => 'A line chart is the simplest type of chart. The ' .
#                         'single line represents the security\'s closing ' .
#                         'price on a period (e.g. a day) of data.',
#                 'fr' => 'La courbe est le plus simple type de graphique, ' .
#                         'elle reprsente le cours de cloture de l\'action ' .
#                         'pour une certaine priode (ex: un jour) de donnes.' );

Indicators::register_indic(
  'COURS-COURBE',
  'code' => \$code2,
  'description' => gettext("Line chart"), 
  'explication' => 
gettext("A line chart is the simplest type of chart. The single line represents the security's closing price on a period (e.g. a day) of data") . ".",
  'representation' => 'courbe_1_standard',
  'range' => [0, 0],
  'color' => 'yellow',
  'param' => [    ],
  'visible' => 1,
  'nocache' => 1,
  'order'   => -1
                          );

#                 'fr' => 'Les Bar chart reprsentent le cours d\'ouverture, ' .
#		         "le plus haut, le plus bas et le cours de cloture.\n" .
#                         'Le haut de chaque barre verticale reprsente le ' .
#                         'cours le plus haut atteint par l\'action durant ' .
#                         'une priode donne et le bas de chaque barre ' .
#                         'reprsente le cours le plus bas atteint.\nLe cours ' .
#                         'de cloture est reprsent par un trait  droite et ' .
#                         'le cours d\'ouverture par un trait  gauche de la ' .
#                         'barre verticale.' );

Indicators::register_indic(
  'COURS-BARCHART',
  'code' => \$code,
  'description' => gettext("Bar chart"), 
  'explication' => 
gettext("Bar chart displays a security's opening, high, low and closing prices. The top of each vertical bar represents the highest price that the security traded during the period and the bottom of the bar represents the lowest price that it traded. A closing 'tick' is displayed on the right side and opening prices are signified by a 'tick' on the left side of the bar") . ".",
  'representation' => 'barchart_1_standard',
  'range' => [0, 0],
  'color' => 'yellow',
  'param' => [    ],
  'visible' => 1,
  'nocache' => 1,
  'order'   => -1
                         );
1;
