package Indicators::EMA;

use strict;
use Language;
use vars qw($code);

$code = q#
my ($c, $sum) = (1, 0);
my $nbre = shift || 21;
my $AMA = $calc->get("AMA-$nbre", $date[$ind-1]);
my $fac = 2/($nbre + 1);
return ($fac * $data{$date[$ind]}[3]) + ($AMA * (1 - $fac));
#;

## Indicateur global invisible

#%description = ( 'en' => 'Exponential moving average (%1 days)',
#                 'fr' => 'Moyenne mobile exponentielle (%1 jours)' );
#%explication = ( 'en' => 'An exponential moving average is calculated ' .
#                         'by applying a percentage of today\'s closing ' .
#		         'price to yesterday\'s moving average value. ' .
#                         'Exponential moving averages place more ' .
#                         'weight on recent prices.',
#                 'fr' => 'Une moyenne mobile exponentielle est calcule ' .
#                         'en appliquant un pourcentage au cours de ' .
#                         'cloture du jour par rapport  la moyenne ' .
#                         'mobile de la veille. Une moyenne mobile ' .
#                         'exponentielle donne plus de poids aux cours ' .
#                         'rcents.');

Indicators::register_indic(
  'EMA-#',
  'code' => \$code,
  'description' => gettext("Exponential moving average (") . ' %1 ' .
                   gettext("days)"),
  'explication' => 
gettext("An exponential moving average is calculated by applying a percentage, of today's closing price to yesterday's moving average value. Exponential moving averagesplace more weight on recent prices."),
  'representation' => 'courbe_1_standard',
  'range' => ['-%1', 0],
  'color' => 'white',
  'param' => [ '%1' ],
  'visible' => 0
                          );

## Indicateur exemple visible

#%description = ( 'en' => 'Exponential moving average (21 days)',
#                 'fr' => 'Moyenne mobile exponentielle (21 jours)' );

Indicators::register_indic(
  'EMA-21',
  'code' => \$code,
  'description' => gettext("Exponential moving average (") . ' 21 ' .
                   gettext("days)"),
  'explication' => 
gettext("An exponential moving average is calculated by applying a percentage, of today's closing price to yesterday's moving average value. Exponential moving averagesplace more weight on recent prices."),
  'representation' => 'courbe_1_standard',
  'range' => [-20, 0],
  'color' => 'white',
  'param' => [ 21 ],
  'visible' => 1 
                          );
1;
