package Indicators::WMA;

use strict;
use Language;
use vars qw($code);

$code = q#
my ($c, $sum, $sumweight) = (1, 0, 0);
my $nbre = shift || 25;
my $weight = $nbre;

for ($c = 1; $c <= $nbre ; $c++) {
 $sum += $data{$date[$ind]}[3] * $weight;
 $sumweight += $weight;
 $weight--;
 $ind--;
}
return ($sum / $sumweight);
#;

## Indicateur global invisible

#%description = ( 'en' => 'Weighted moving average (%1 days)',
#                 'fr' => 'Moyenne mobile pondre (%1 jours)' );
#%explication = ( 'en' => 'A weighted moving average is designed to put ' .
#                         'more weight on recent data and less weight on ' .
#                         'past data. A weighted moving average is ' .
#                         'calculated by multiplying each of the previous ' .
#                         'day\'s data by a weight.',
#                 'fr' => 'Une moyenne mobile pondre est conue pour ' .
#                         'donner plus de poids aux donnes rcentes et ' .
#                         'moins de poids aux donnes passes. Une ' .
#                         'moyenne mobile pondre se calcule en ' .
#                         'multipliant les donnes des jours prcdents ' .
#                         'par un "poids".');

Indicators::register_indic(
  'WMA-#',
  'code' => \$code,
  'description' => gettext("Weighted moving average (") . '%1 ' . gettext("days)"), 
  'explication' => gettext("A weighted moving average is designed to put more weight on recent data and less weight on past data. A weighted moving average is calculated by multiplying each of the previous day's data by a weight."),
  'representation' => 'courbe_1_standard',
  'range' => ['-%1+1', 0],
  'color' => 'white',
  'param' => [ '%1' ],
  'visible' => 0
                          );

Indicators::register_indic(
  'WMA-25',
  'code' => \$code,
  'description' => gettext("Weighted moving average (") . '25 ' . gettext("days)"), 
  'explication' => gettext("A weighted moving average is designed to put more weight on recent data and less weight on past data. A weighted moving average is calculated by multiplying each of the previous day's data by a weight."),
  'representation' => 'courbe_1_standard',
  'range' => [-24, 0],
  'color' => 'white',
  'param' => [ 25 ],
  'visible' => 1
                          );

1;
