package Indicators::MOMP;

use strict;
use vars qw($code);

$code = q#
 my $p = shift || 13;
 return ($data{$date[$ind]}[3] / $data{$date[$ind-$p]}[3] * 100);
#;

Indicators::register_indic(
  'MOMP-#',                       ## MOM-Peaks  # jours
  'code' => \$code,
  'description' => 'Momentum Peaks',
  'explication' => "Momentum measures the amount a security's price has changed
                    over the past P-Periods. Momentum is virtually identical tl
                    Price Rate of Change (see ROC-C), except Momentum is expressed
                    as a ratio and Price Rate of Change is expressed as a percentage.",
  'representation' => 'courbe_2_auto',
  'range' => ['-%1', 0],
  'color' => 'white',
  'visible' => 0,
  'param' => [ '%1' ]         ## Optionnal parameters
                              ## Default : MOMP  13 jours
                          );

1;
