package Indicators::WMA;

use strict;
use vars qw($code);

$code = q#
my ($c, $sum, $sumweight) = (1, 0, 0);
my $nbre = shift || 25;
my $weight = $nbre;

for ($c = 1; $c <= $nbre ; $c++) {
 $sum += $data{$date[$ind]}[3] * $weight;
 $sumweight += $weight;
 $weight--;
 $ind--;
}
return ($sum / $sumweight);
#;

Indicators::register_indic(
  'WMA-#',                       ## WMA  # jours
  'code' => \$code,
  'description' => 'Moyenne mobile pondre  %1 jours',
  'explication' => "A weighted moving average is designed to put more weight on
                    recent data and less weight on past data. A weighted moving
                    average is calculated by multiplying each of the previous day's
                    data by a weight.",
  'representation' => 'courbe_1_standard',
  'range' => ['-%1+1', 0],
  'color' => 'white',
  'visible' => 0,
  'param' => [ '%1' ]            ## Optionnal parameters
                                 ## Default : WMA-21
                          );
Indicators::register_indic(
  'WMA-21',                       ## WMA  # jours
  'code' => \$code,
  'description' => 'Moyenne mobile pondre  21 jours',
  'explication' => "A weighted moving average is designed to put more weight on
                    recent data and less weight on past data. A weighted moving
                    average is calculated by multiplying each of the previous day's
                    data by a weight.",
  'representation' => 'courbe_1_standard',
  'range' => ['-20', 0],
  'color' => 'white',
  'visible' => 1,
  'param' => [ '21' ]            ## Optionnal parameters
                                 ## Default : WMA-21
                          );

1;
